%if 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-sprox
Version:        0.9.7
Release:        2%{?dist}
Summary:        A package for creation of web widgets directly from database schema

Group:          Development/Languages
License:        MIT
URL:            http://sprox.org

#Source0:        http://pypi.python.org/packages/source/s/sprox/sprox-%%{version}.tar.gz
# using github tarball instead, because it contains tests
Source0:        https://github.com/TurboGears/sprox/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sqlalchemy
BuildRequires:  python-formencode >= 1.2.2
BuildRequires:  python-strainer
BuildRequires:  python-tw-forms
BuildRequires:  python-sieve
BuildRequires:  python-mako
BuildRequires:  python-genshi
BuildRequires:  python-nose

Requires:       python-sqlalchemy
Requires:       python-formencode >= 1.2.2

%description
Sprox is a widget generation library that has a slightly different take on the
problem of creating custom web content directly from database schemas. Sprox
provides an easy way to create forms for web content which are: automatically
generated, easy to customize, and validated. Sprox also has powerful tools to
help you display your content the way you want to with table and record
viewers. Sprox provides a way to fill your widgets, whether they are forms or
other content with customizable data.

%prep
%setup -q -n sprox-%{version}

%build
%{__python2} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm -fr %{buildroot}%{python_sitelib}/tests

%check
# Disable ming tests until it is packaged
rm tests/test_mgormprovider.py
# Tests also fail upstream, ignore result for now
PYTHONPATH=$(pwd) nosetests-%{python2_version} -v || :

%files
%{python_sitelib}/sprox*
%license license.txt
%doc README.rst CHANGELOG.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 27 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.7-1
- Update to latest version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.8.3-3
- Don't ship backup files

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Luke Macken <lmacken@redhat.com> - 0.8.3-1
- Update to 0.8.3 and get the test suite running again

* Mon Apr  8 2013 Luke Macken <lmacken@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 07 2011 Luke Macken <lmacken@redhat.com> - 0.6.11-1
- Update to 0.6.11

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 0.6.10-1
- Update to 0.6.10

* Mon Aug 03 2009 Luke Macken <lmacken@redhat.com> - 0.6.3-1
- 0.6.3

* Mon Jun 08 2009 Luke Macken <lmacken@redhat.com> - 0.6.1-1
- Update to the latest upstream release

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 0.5.5-1
- Initial package
